# Serverless blueprints

The blueprints in this folder show implement **end-to-end scenarios** for Serverless topologies that show how to automate common configurations or leverage specific products.

They are meant to be used as minimal but complete starting points to create actual infrastructure, and as playgrounds to experiment with Google Cloud features.

## Blueprints

### Multi-region deployments for API Gateway

<a href="./api-gateway/" title="Multi-region deployments for API Gateway"><img src="./api-gateway/diagram.png" align="left" width="280px"></a> This [blueprint](./api-gateway/) shows how to configure a load balancer to enable multi-region deployments for API Gateway. For more details on how this set up work have a look at the article [here](https://cloud.google.com/api-gateway/docs/multi-region-deployment)
<br clear="left">

### Cloud Run series

<a href="./cloud-run-explore/" title="Cloud Run series"><img src="./cloud-run-corporate/images/use-case-4.png" align="left" width="280px"></a> These are a series of [blueprints](./cloud-run-explore/) developing the chapters of the [__Serverless Networking Guide__](https://services.google.com/fh/files/misc/serverless_networking_guide.pdf), focused in Cloud Run.
<br clear="left">
